org.infinispan.schematic.internal.document

## Class ObservableArrayEditor

- java.lang.Object
- - org.infinispan.schematic.internal.document.ArrayEditor
  - - org.infinispan.schematic.internal.document.ObservableArrayEditor

- All Implemented Interfaces:
    Serializable, Iterable<Object>, Collection<Object>, List<Object>, Array, Document, EditableArray, EditableDocument

      public class ObservableArrayEditor
      extends ArrayEditor

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.infinispan.schematic.document.Array

      `Array.Entry`

    - ### Nested classes/interfaces inherited from interface org.infinispan.schematic.document.Document

      `Document.Field, Document.ValueTransformer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ObservableArrayEditor(MutableArray array, Path path, DocumentObserver observer, DocumentValueFactory factory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected EditableArray` | `createEditableArray(MutableArray array, int index, DocumentValueFactory factory)`
    `protected EditableDocument` | `createEditableDocument(MutableDocument document, int index, DocumentValueFactory factory)`
    `protected EditableArray` | `createEditableSublist(MutableArray array, DocumentValueFactory factory)`
    `protected boolean` | `doAddAll(Collection<? extends Object> c)`
    `protected boolean` | `doAddAll(int index, Collection<? extends Object> c)`
    `protected void` | `doAddValue(int index, Object value)`
    `protected int` | `doAddValue(Object value)`
    `protected boolean` | `doAddValueIfAbsent(Object value)`
    `protected void` | `doClear()`
    `protected List<Array.Entry>` | `doRemoveAll(Collection<?> c)`
    `protected Object` | `doRemoveValue(int index)`
    `protected boolean` | `doRemoveValue(Object value)`
    `protected List<Array.Entry>` | `doRetainAll(Collection<?> c)`
    `protected Object` | `doSetValue(int index, Object value)`

    - ### Methods inherited from class org.infinispan.schematic.internal.document.ArrayEditor

      `add, add, addAll, addAll, addArray, addArray, addArray, addArray, addArrayIfAbsent, addBinary, addBinary, addBinaryIfAbsent, addBoolean, addBoolean, addBooleanIfAbsent, addCode, addCode, addCode, addCode, addCodeIfAbsent, addDate, addDate, addDate, addDate, addDateIfAbsent, addDateIfAbsent, addDocument, addDocument, addDocument, addDocument, addDocumentIfAbsent, addNull, addNull, addNullIfAbsent, addNumber, addNumber, addNumber, addNumber, addNumber, addNumber, addNumber, addNumber, addNumberIfAbsent, addNumberIfAbsent, addNumberIfAbsent, addNumberIfAbsent, addObjectId, addObjectId, addObjectId, addObjectId, addObjectId, addObjectId, addObjectIdIfAbsent, addObjectIdIfAbsent, addObjectIdIfAbsent, addRegularExpression, addRegularExpression, addRegularExpression, addRegularExpression, addRegularExpressionIfAbsent, addRegularExpressionIfAbsent, addString, addString, addStringIfAbsent, addSymbol, addSymbol, addSymbolIfAbsent, addTimestamp, addTimestamp, addTimestampIfAbsent, addUuid, addUuid, addUuidIfAbsent, addValue, addValue, addValueIfAbsent, asMutableArray, clear, clone, contains, containsAll, containsAll, containsField, doSetValue, editable, editable, fields, get, get, getArray, getBinary, getBoolean, getBoolean, getCode, getCodeWithScope, getDocument, getDouble, getDouble, getEntries, getInteger, getInteger, getLong, getLong, getMaxKey, getMinKey, getNumber, getNumber, getObjectId, getOrCreateArray, getOrCreateDocument, getPattern, getString, getString, getSymbol, getType, getUuid, getUuid, indexFrom, indexOf, isEmpty, isNull, isNullOrMissing, iterator, keySet, lastIndexOf, listIterator, listIterator, merge, put, putAll, putAll, remove, remove, remove, removeAll, removeAll, retainAll, set, set, setArray, setArray, setArray, setArray, setArray, setBinary, setBinary, setBoolean, setBoolean, setCode, setCode, setCode, setCode, setDate, setDate, setDate, setDate, setDocument, setDocument, setDocument, setDocument, setNull, setNull, setNumber, setNumber, setNumber, setNumber, setNumber, setNumber, setNumber, setNumber, setObjectId, setObjectId, setObjectId, setObjectId, setObjectId, setObjectId, setRegularExpression, setRegularExpression, setRegularExpression, setRegularExpression, setString, setString, setSymbol, setSymbol, setTimestamp, setTimestamp, setUuid, setUuid, setValue, setValue, size, subList, toArray, toArray, toMap, toString, unwrap, with, with, with, withVariablesReplaced, withVariablesReplacedWithSystemProperties`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.List

      `equals, hashCode`

- - ### Constructor Detail

    - #### ObservableArrayEditor

          public ObservableArrayEditor(MutableArray array,
                               Path path,
                               DocumentObserver observer,
                               DocumentValueFactory factory)

  - ### Method Detail

    - #### doAddAll

          protected boolean doAddAll(Collection<? extends Object> c)

      Overrides:
        `doAddAll` in class `ArrayEditor`

    - #### doAddAll

          protected boolean doAddAll(int index,
                         Collection<? extends Object> c)

      Overrides:
        `doAddAll` in class `ArrayEditor`

    - #### doAddValue

          protected void doAddValue(int index,
                        Object value)

      Overrides:
        `doAddValue` in class `ArrayEditor`

    - #### doAddValue

          protected int doAddValue(Object value)

      Overrides:
        `doAddValue` in class `ArrayEditor`

    - #### doAddValueIfAbsent

          protected boolean doAddValueIfAbsent(Object value)

      Overrides:
        `doAddValueIfAbsent` in class `ArrayEditor`

    - #### doClear

          protected void doClear()

      Overrides:
        `doClear` in class `ArrayEditor`

    - #### doRemoveAll

          protected List<Array.Entry> doRemoveAll(Collection<?> c)

      Overrides:
        `doRemoveAll` in class `ArrayEditor`

    - #### doRemoveValue

          protected Object doRemoveValue(int index)

      Overrides:
        `doRemoveValue` in class `ArrayEditor`

    - #### doRemoveValue

          protected boolean doRemoveValue(Object value)

      Overrides:
        `doRemoveValue` in class `ArrayEditor`

    - #### doRetainAll

          protected List<Array.Entry> doRetainAll(Collection<?> c)

      Overrides:
        `doRetainAll` in class `ArrayEditor`

    - #### doSetValue

          protected Object doSetValue(int index,
                          Object value)

      Overrides:
        `doSetValue` in class `ArrayEditor`

    - #### createEditableDocument

          protected EditableDocument createEditableDocument(MutableDocument document,
                                                int index,
                                                DocumentValueFactory factory)

      Overrides:
        `createEditableDocument` in class `ArrayEditor`

    - #### createEditableArray

          protected EditableArray createEditableArray(MutableArray array,
                                          int index,
                                          DocumentValueFactory factory)

      Overrides:
        `createEditableArray` in class `ArrayEditor`

    - #### createEditableSublist

          protected EditableArray createEditableSublist(MutableArray array,
                                            DocumentValueFactory factory)

      Overrides:
        `createEditableSublist` in class `ArrayEditor`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.